Subject: Re: [PATCH net-next] net/mlx5: remove NULL check before dev_{put, hold}

From: Saeed Mahameed <[email-masked]>
Date: Sat, 3 Dec 2022 12:43:57 -0800

On 30 Nov 09:25, Jakub Kicinski wrote:
>On Wed, 30 Nov 2022 11:00:34 +0200 Leon Romanovsky wrote:
>> On Wed, Nov 30, 2022 at 03:41:27PM +0800, [email-masked] wrote:
>> > From: zhang songyi <[email-masked]>
>> >
>> > The call netdev_{put, hold} of dev_{put, hold} will check NULL,
>> > so there is no need to check before using dev_{put, hold}.
>> >
>> > Fix the following coccicheck warning:
>> > /drivers/net/ethernet/mellanox/mlx5/core/lag/lag.c:1450:2-10:
>> > WARNING:
>> > WARNING  NULL check before dev_{put, hold} functions is not needed.
>> >
>> > Signed-off-by: zhang songyi <[email-masked]>
>> > ---
>> >  drivers/net/ethernet/mellanox/mlx5/core/lag/lag.c | 3 +--
>> >  1 file changed, 1 insertion(+), 2 deletions(-)
>>
>> Please change all places in mlx5 in one patch.
>
>Your call as a mlx5 maintainer, but I'd say don't change them at all.
>All these trivial patches are such a damn waste of time.

I agree, let's not waste more time on this, I will accept this patch as is
since it's already marked awating-upstream.. 

Applied to net-next-mlx5